#
# spec file for package python-azure-mgmt-web
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-azure-mgmt-web
Version:        0.48.0
Release:        6.4.1
Summary:        Microsoft Azure Web Apps Management Client Library
License:        MIT
Group:          Development/Languages/Python
URL:            https://github.com/Azure/azure-sdk-for-python
Source:         https://files.pythonhosted.org/packages/source/a/azure-mgmt-web/azure-mgmt-web-%{version}.zip
Source1:        LICENSE.txt
BuildRequires:  %{python_module azure-mgmt-nspkg >= 3.0.0}
BuildRequires:  %{python_module azure-nspkg >= 3.0.0}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildRequires:  unzip
Requires:       python-azure-common < 2.0.0
Requires:       python-azure-common >= 1.1
Requires:       python-azure-mgmt-nspkg >= 3.0.0
Requires:       python-azure-nspkg >= 3.0.0
Requires:       python-msrest >= 0.5.0
Requires:       python-msrestazure < 2.0.0
Requires:       python-msrestazure >= 0.4.32
Conflicts:      python-azure-sdk <= 2.0.0

BuildArch:      noarch

%python_subpackages

%description
This is the Microsoft Azure Web Apps Management Client Library.

Azure Resource Manager (ARM) is the next generation of management APIs that
replace the old Azure Service Management (ASM).

This package has been tested with Python 2.7, 3.4, 3.5, 3.6 and 3.7.

%prep
%setup -q -n azure-mgmt-web-%{version}

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-mgmt-web-%{version}
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}
%{python_expand # delete common files
rm -rf %{buildroot}%{$python_sitelib}/azure/mgmt/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/mgmt/__pycache__
rm -rf %{buildroot}%{$python_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{$python_sitelib}/azure/__pycache__
}

%files %{python_files}
%defattr(-,root,root,-)
%doc CHANGELOG.md README.md
%license LICENSE.txt
%{python_sitelib}/azure/mgmt/web
%{python_sitelib}/azure_mgmt_web-*.egg-info

%changelog
* Tue Dec 15 2020 adrian.glaubitz@suse.com
- Update in SLE-15 (bsc#1176785, jsc#ECO-3105, jsc#PM-2352)
* Mon Oct  5 2020 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.48.0
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Wed Jun 17 2020 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.47.0
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
* Mon May  4 2020 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.46.0
  + For detailed information about changes see the
    CHANGELOG.md file provided with this package
- Rename HISTORY.rst to CHANGELOG.md in %%files section
- Rename README.rst to README.md in %%files section
* Thu Jan 23 2020 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.44.0
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
* Fri Oct  4 2019 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.42.0
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
- Drop patches to support older versions of setuptools as
  SLE-12 is now shipping with a recent enough version
  + amw_drop-compatible-releases-operator.patch
  + amw_drop-extras-require.patch
* Mon Apr 15 2019 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.41.0
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
- Add patch to drop extras_require field from setup.py,
  required for SLES12 as the setuptools version is too old
  + amw_drop-extras-require.patch
- Bump minimum version for namespace packages
  to 3.0.0 in BuildRequires and Requires
- Remove python-devel package from BuildRequires
- Refresh patches for new version
  + amw_drop-compatible-releases-operator.patch
- Run fdupes to hardlink duplicate files
  + Add fdupes to BuildRequires
  + Add %%fdupes invocation to %%install
- Update BuildRequires and Requires from setup.py
* Thu Sep  6 2018 adrian.glaubitz@suse.com
- New upstream release 0.40.0
  * For detailed information about changes see the
    HISTORY.txt file provided with this package
- Refresh patches for new version
  + amw_drop-compatible-releases-operator.patch
- Update Requires from setup.py
- Update %%description from setup.py
* Thu Mar  1 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.35.0
- Move LICENSE.txt from %%doc to %%license section
- Refresh patches for new version
  + amw_drop-compatible-releases-operator.patch
- Update Requires from setup.py
- Update Summary and %%description from setup.py
* Fri Jan 19 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.34.1
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Install HISTORY.rst into doc directory
- Refresh patches for new version
  + amw_drop-compatible-releases-operator.patch
- Update Summary and Description from upstream
- Update Requires from setup.py
* Wed Oct  4 2017 adrian.glaubitz@suse.com
- Remove versioning for namespace packages in Requires
- Add namespace packages to BuildRequires
- Remove namespace files in %%install target
- Explicitly specify Python files of the package in %%files
* Fri Jul 14 2017 adrian.glaubitz@suse.com
- Add python-azure-nspkg to Requires
- Add python-azure-mgmt-nspkg to Requires
* Wed Jun 28 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 0.32.0
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + amw_drop-compatible-releases-operator.patch
